tlv_def Struct Reference
TLV parser

Definition of a single IE (Information Element) More...

`#include <tlv.h>`

## Data Fields

enum tlv_type | type
| TLV type. More...
uint8_t | fixed_len
| length in case of TLV_TYPE_FIXED More...

## Detailed Description

Definition of a single IE (Information Element)

## Field Documentation

## fixed_len

uint8_t tlv_def::fixed_len

length in case of TLV_TYPE_FIXED

Referenced by tlv_parse_one().

## type

enum tlv_type tlv_def::type

TLV type.

Referenced by __attribute__(), tlv_def_patch(), and tlv_parse_one().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/tlv.h